import {
  get,
  post
} from '@/common/utils/http-util.ts'

export default {
  paging(data: InventoryTypes.SearchInventoryParam) {
    return get<G.PageResult<InventoryTypes.SearchInventoryResult>>('/inventory/paging', data)
  },
  detail(id: string) {
    return get<InventoryTypes.SearchInventoryResult>('/inventory/detail', {id})
  },
  add(data: InventoryTypes.AddInventoryParam) {
    return post('/inventory/add', data)
  },
  modify(data: InventoryTypes.ModifyInventoryParam) {
    return post('/inventory/modify', data)
  },
  del(ids: string[]) {
    return post('/inventory/del', ids)
  },
}
